List SimplePipelines
curl --request GET \
--url https://api.ionworks.com/simple_pipelinesimport requests
url = "https://api.ionworks.com/simple_pipelines"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/simple_pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"organization_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"name": "<string>",
"description": "<string>",
"job_id": "<string>",
"error": "<string>",
"error_code": "CONFIGURATION_ERROR",
"created_by_email": "<string>"
}
],
"count": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}simple_pipeline
List SimplePipelines
List SimplePipelines for a project with pagination, filters, and ordering.
List SimplePipelines
Query Parameters
Filter by project
Items per page
Required range:
1 <= x <= 100Number of items to skip
Required range:
x >= 0Filter by name (use ilike.%value% for partial match).
Filter by description (Supabase operator syntax supported).
Filter by status (eq.completed or in.(val1,val2)).
Filter by creator email (Supabase operator syntax supported).
Filter on created_at (gte./lte./eq. operator).
Filter on updated_at (gte./lte./eq. operator).
Lower bound for created_at.
Upper bound for created_at.
Lower bound for updated_at.
Upper bound for updated_at.
Sort column.
Available options:
id, name, description, status, created_at, updated_at, created_by_email Sort direction.
Available options:
asc, desc Was this page helpful?